import { html, ref, when } from '@microsoft/fast-element';
export const DesignSystemExportTemplate = html `
  <template>
    <div class="export">
      <alpha-button appearance="accent" @click="${(x) => x.showModal()}">Save Changes</alpha-button>
      <alpha-modal ${ref('modal')}>
        <slot>
          <textarea rows="26" cols="34" class="textarea" :value=${(x) => x.value}></textarea>
        </slot>
        <div class="buttons">
          <alpha-button appearance="accent" @click="${(x) => x.closeModal()}" slot="bottom">
            Close
          </alpha-button>
          ${when((x) => x.tokensPath, html `
              <alpha-button appearance="accent" @click="${(x) => x.updateTokens()}" slot="bottom">
                Save
              </alpha-button>
            `)}
        </div>
      </alpha-modal>
    </div>
  </template>
`;
